Bug 402061 - freeze ups with 2.6.24-0.42.rc3.git1.fc9
freeze ups with 2.6.24-0.42.rc3.git1.fc9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-27 20:30 EST by Tom London
Modified: 2007-12-13 10:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-13 10:19:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2007-11-27 20:30:11 EST
Description of problem:
I've been experiencing hard freezes with this (and previous rc3.git1) kernel.

Finally got something in /var/log/messages:

Nov 27 16:36:36 localhost ntpd[2221]: kernel time sync status change 0001
Nov 27 16:41:29 localhost ntpd[2221]: synchronized to 66.250.45.2, stratum 2
Nov 27 16:52:50 localhost ntpd[2221]: synchronized to 38.99.80.156, stratum 2
Nov 27 17:16:16 localhost kernel: Uhhuh. NMI received for unknown reason a1 on
CPU 0.
Nov 27 17:16:16 localhost kernel: You have some hardware problem, likely on the
PCI bus.
Nov 27 17:16:16 localhost kernel: Dazed and confused, but trying to continue
Nov 27 17:18:06 localhost rsyslogd: [origin software="rsyslogd"
swVersion="1.19.10" x-pid="2141"][x-configInfo udpReception="No" udpPort="514"
tcpReception="No" tcpPort="0"] restart

System is Thinkpad X60.

Not sure what else to provide, but here is output of 'lspci':

[root@localhost ~]# lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS, 943/940GML
Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 02)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3
(rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4
(rev 02)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 02)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(rev 02)
00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA AHCI
Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 02)
02:00.0 Ethernet controller: Intel Corporation 82573L Gigabit Ethernet Controller
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b4)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller (rev 09)
15:00.2 Generic system peripheral [0805]: Ricoh Co Ltd R5C822
SD/SDIO/MMC/MS/MSPro Host Adapter (rev 18)
[root@localhost ~]# 


Version-Release number of selected component (if applicable):
kernel-2.6.24-0.42.rc3.git1.fc9

How reproducible:
Random.  Three times today.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Clyde E. Kunkel 2007-11-28 16:28:05 EST
Seeing same also on ASUS P4P800 mobo with P4.
Last two msgs during boot before freeze:

PCI_hotplug:  PCI Hot Plug PCI Core Version: 0.5
isapnp: Scanning for PnP cards. . .

Here is LSPCI:
00:00.0 Host bridge: Intel Corporation 82875P/E7210 Memory Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation 82875P Processor to AGP Controller (rev 02)
00:03.0 PCI bridge: Intel Corporation 82875P/E7210 Processor to PCI to CSA
Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB UHCI
Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corporation 82801EB/ER (ICH5/ICH5R) LPC Interface
Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801EB/ER (ICH5/ICH5R) IDE Controller
(rev 02)
00:1f.3 SMBus: Intel Corporation 82801EB/ER (ICH5/ICH5R) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801EB/ER (ICH5/ICH5R)
AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200] (rev 01)
01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200] (Secondary)
(rev 01)
02:01.0 Ethernet controller: Intel Corporation 82547EI Gigabit Ethernet Controller
03:03.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 46)
03:04.0 RAID bus controller: Promise Technology, Inc. PDC20378 (FastTrak
378/SATA 378) (rev 02)
03:0a.0 Mass storage controller: Silicon Image, Inc. PCI0680 Ultra ATA-133 Host
Controller (rev 02)
03:0d.0 Communication controller: Intel Corporation 536EP Data Fax Modem
Comment 2 Quentin Armitage 2007-11-28 19:00:47 EST
Problem identified in Comment #1 appears to be a different problem to original
report. New bug 403671 entered for Comment #1 problem, but problem experienced
in 2.6.24-0.43.rc3.git1.fc9 and not experienced by me in 2.6.24-0.42.rc3.git1.fc9.
Comment 3 Tom Brinkman 2007-12-01 11:19:09 EST
kernels  43 -> 61 will not boot.  All stop very early at 
Time:    hpet clocksource has been installed

Thinkpad T61 2.4Ghz Duocore.  This sysyem has never needed 
any kernel params
Comment 4 Dave Jones 2007-12-12 16:53:32 EST
There was a gcc miscompilation for a while. This has now been fixed.

Are you still seeing this problem with the latest builds ?
Comment 5 Tom London 2007-12-12 18:48:09 EST
No.  Haven't seen this in a while.  Can close.

Note You need to log in before you can comment on or make changes to this bug.